Bug 630205 - (ghc-regexpr) Review Request: ghc-regexpr - Regular expression like Perl/Ruby in Haskell
Review Request: ghc-regexpr - Regular expression like Perl/Ruby in Haskell
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On: 630204
Blocks: ghc-hledger-lib
  Show dependency treegraph
 
Reported: 2010-09-03 22:07 EDT by Ben Boeckel
Modified: 2011-04-18 17:23 EDT (History)
4 users (show)

See Also:
Fixed In Version: ghc-regexpr-0.5.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-04-18 17:22:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ben Boeckel 2010-09-03 22:07:23 EDT
Spec: http://benboeckel.net/packaging/ghc-regexpr/ghc-regexpr
SRPM: http://benboeckel.net/packaging/ghc-regexpr/ghc-regexpr-0.5.1-1.fc14.src.rpm
Description:
Regular expression library like Perl and Ruby's regular expressions.

% lintmock fedora-14-x86_64-bb
ghc-regexpr.src: W: strange-permission regexpr-0.5.1.tar.gz 0640L
ghc-regexpr.src: W: strange-permission ghc-regexpr.spec 0640L
ghc-regexpr-prof.x86_64: E: devel-dependency ghc-regexpr-devel
ghc-regexpr-prof.x86_64: W: no-documentation
ghc-regexpr-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/regexpr-0.5.1/libHSregexpr-0.5.1_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 1 Ben Boeckel 2010-10-31 12:23:48 EDT
Spec: http://benboeckel.net/packaging/ghc-regexpr/ghc-regexpr
SRPM: http://benboeckel.net/packaging/ghc-regexpr/ghc-regexpr-0.5.3-1.fc14.src.rpm

% lintmock fedora-14-x86_64-bb
ghc-regexpr.src: W: strange-permission regexpr-0.5.3.tar.gz 0640L
ghc-regexpr.src: W: strange-permission ghc-regexpr.spec 0640L
ghc-regexpr-prof.x86_64: E: devel-dependency ghc-regexpr-devel
ghc-regexpr-prof.x86_64: W: no-documentation
ghc-regexpr-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.3/regexpr-0.5.3/libHSregexpr-0.5.3_p.a
4 packages and 0 specfiles checked; 1 errors, 4 warnings.
Comment 2 Narasimhan 2010-12-16 22:42:34 EST
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
ghc-regexpr.src: W: strange-permission regexpr-0.5.3.tar.gz 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-regexpr.src: W: strange-permission ghc-regexpr.spec 0640L
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

ghc-regexpr-prof.i686: E: devel-dependency ghc-regexpr-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-regexpr-prof.i686: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-regexpr-prof.i686: W: devel-file-in-non-devel-package /usr/lib/ghc-6.12.3/regexpr-0.5.3/libHSregexpr-0.5.3_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 1 specfiles checked; 1 errors, 4 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Buildroot is ignored - present anyway. OK
        %clean is ignored - present anyway. OK
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source,as provided in the spec URL. Reviewers should use md5sum for this task.
md5sum ghc-regexpr-0.5.3-1.fc14.src/regexpr-0.5.3.tar.gz 
481f5354628cacea8958d457ea6b12b8  ghc-regexpr-0.5.3-1.fc14.src/regexpr-0.5.3.tar.gz

md5sum ~/Downloads/regexpr-0.5.3.tar.gz 
481f5354628cacea8958d457ea6b12b8  ~/Downloads/regexpr-0.5.3.tar.gz

[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on i686.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[NA]MUST: The spec file MUST handle locales properly using the %find_lang macro
[NA]MUST: Packages stores shared library files must call ldconfig in %post and %postun.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
checked with rpmquery --whatprovides
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly.
Checked with ls -lR
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: Header files must be in a -devel package.
[NA]MUST: Static libraries must be in a -static package.
[NA]MUST: If a package contains library files with a suffix (e.g.libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
rpm -e ghc-regexpr
error: Failed dependencies:
	ghc-regexpr = 0.5.3-1.fc14 is needed by (installed) ghc-regexpr-devel-0.5.3-1.fc14.i686
rpm -e ghc-regexpr-devel
error: Failed dependencies:
	ghc-regexpr-devel = 0.5.3-1.fc14 is needed by (installed) ghc-regexpr-prof-0.5.3-1.fc14.i686

[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
checked with rpmquery --list
[+]MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+] MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT).
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.
[+]SHOULD: The reviewer should test that the package functions as described.
Installed the package. Wrote a small program that imports the module Text.RegexPR. Compiles and runs fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane.

cabal2spec-diff is OK.

APPROVED
Comment 4 Ben Boeckel 2010-12-17 23:27:35 EST
New Package CVS Request
=======================
Package Name: ghc-regexpr
Short Description: Regular expression like Perl/Ruby in Haskell
Owners: mathstuf
Branches: F-13 F-14
InitialCC: haskell-sig
Comment 5 Kevin Fenzi 2010-12-21 01:02:28 EST
Git done (by process-git-requests).
Comment 6 Narasimhan 2011-03-31 23:42:19 EDT
Hello,
Can you build this package for  Fedora 13 and Fedora 14?
Comment 7 Fedora Update System 2011-04-08 10:13:21 EDT
ghc-regexpr-0.5.3-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-regexpr-0.5.3-2.fc14
Comment 8 Fedora Update System 2011-04-08 10:31:22 EDT
ghc-regexpr-0.5.3-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-regexpr-0.5.3-1.fc13
Comment 9 Fedora Update System 2011-04-08 19:18:41 EDT
ghc-regexpr-0.5.3-2.fc14 has been pushed to the Fedora 14 testing repository.
Comment 10 Fedora Update System 2011-04-18 17:22:42 EDT
ghc-regexpr-0.5.3-1.fc13 has been pushed to the Fedora 13 stable repository.
Comment 11 Fedora Update System 2011-04-18 17:23:45 EDT
ghc-regexpr-0.5.3-2.fc14 has been pushed to the Fedora 14 stable repository.

Note You need to log in before you can comment on or make changes to this bug.